## pynauty 1.0.2+ds

=== Makefile ===
# Makefile to build, test and install pynauty

include Makefile.common

pynauty:
	$(PYTHON) setup.py build

.PHONY: tests
tests: pynauty
	PYTHONPATH="${LIBPATH}:$(PYTHONPATH)" $(PYTHON) $(MODULE_TEST) pytest
	PYTHONPATH="${LIBPATH}:$(PYTHONPATH)" $(PYTHON) -m pytest src/pynauty/tests

minimal-test: pynauty
	PYTHONPATH="${LIBPATH}:$(PYTHONPATH)" $(PYTHON) src/pynauty/tests/test_minimal.py

install: tests
ifdef VIRTUAL_ENV
	$(PIP) install --upgrade .
else
	$(PIP) install --user --upgrade .
endif

uninstall:
	$(PIP) uninstall pynauty

.PHONY: docs
docs: install
	$(PYTHON) $(MODULE_TEST) sphinx
	$(MAKE) -C docs html

clean-docs:
	$(MAKE) -C docs clean

clean:
	rm -fr build
	rm -fr dist
	rm -f MANIFEST
	rm -fr tests/{__pycache__,data_graphs.pyc}
	rm -fr .pytest_cache/
	rm -fr pynauty.egg-info

virtenv-create:
	$(PYTHON) -m venv $(VENV_DIR)
	@echo Created virtualenv: $(VENV_DIR)/
	@echo To activate it type: source $(PWD)/$(VENV_DIR)/bin/activate

virtenv-delete:
	rm -fr $(VENV_DIR)
	@echo Deleted virtualenv: $(VENV_DIR)/
	@echo If it is still active, deactivate it!

clobber: clean clean-nauty clean-docs virtenv-delete

# nauty targets

nauty-config:
	$(MAKE) -C $(SOURCE_DIR) -f Makefile.nauty $@

nauty-objects:
	$(MAKE) -C $(SOURCE_DIR) -f Makefile.nauty $@

nauty-programs:
	$(MAKE) -C $(SOURCE_DIR) -f Makefile.nauty $@

clean-nauty:
	$(MAKE) -C $(SOURCE_DIR) -f Makefile.nauty $@

# vim: filetype=make syntax=make

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = source
BUILDDIR      = ../src/pynauty/docs

# Put it first so that "make" without argument is like "make help".
help:
	@$(MODULE_TEST) sphinx "In order to build the docmentation you need to have the Sphinx package installed".
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

# pynauty's own clean to avoid unnecessary call to MODULE_TEST
clean:
	rm -fr $(BUILDDIR)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(MODULE_TEST) sphinx "In order to build the documentation you need to have the Sphinx package installed".
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
pynauty (1.0.2+ds-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:42:21 +0000

pynauty (1.0.2+ds-2) unstable; urgency=medium

  * Source-only upload for migration to testing.
  * debian/control
    - Add dh-sequence-{python3,sphinxdoc} to Build-Depends.
    - Bump Standards-Version to 4.6.0.
    - Reformat using wrap-and-sort.
  * debian/rules
    - Remove --with python3,sphinxdoc; unnecessary now that the
      corresponding dh-sequence-* packages are in Build-Depends.

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 12 Oct 2021 06:57:22 -0400

pynauty (1.0.2+ds-1) unstable; urgency=low

  * Initial release (Closes: #991791).

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 01 Aug 2021 22:26:54 -0400

=== debian/control ===
Source: pynauty
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               libnauty-dev,
               python3-all-dev,
               python3-pytest,
               python3-setuptools,
               python3-sphinx
Standards-Version: 4.6.0
Section: python
Homepage: https://github.com/pdobsan/pynauty
Vcs-Git: https://salsa.debian.org/python-team/packages/pynauty.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pynauty
Rules-Requires-Root: no

Package: python3-pynauty
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: isomorphism testing and automorphisms of graphs
 Pynauty can be used to compare graphs for isomorphism and to
 determine their automorphism group in a Python programming
 environment. Pynauty is a Python/C extension module using library
 components from the Nauty package by Brendan McKay.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PYBUILD_TEST_PYTEST = 1

INSTALL_DIR = debian/python3-pynauty/usr/lib/python3/dist-packages

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	$(MAKE) -C docs html MODULE_TEST=../src/module-test.py

execute_after_dh_auto_clean:
	$(MAKE) -C docs clean

# fix 'executable-in-usr-lib' lintian warning
execute_after_dh_fixperms:
	chmod -x $(INSTALL_DIR)/pynauty/tests/test_minimal.py

=== debian/watch ===
version=4
opts=dversionmangle=s/@DEB_EXT@//,repacksuffix=+ds \
https://github.com/pdobsan/pynauty/releases \
.*/pynauty-@ANY_VERSION@@ARCHIVE_EXT@

## pynauty 1.1.2+ds

=== debian/changelog ===
pynauty (1.1.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Bump Standards-Version to 4.6.1.
  * debian/copyright
    - Add 2022 to Peter Dobsan's copyright years.

 -- Doug Torrance <dtorrance@debian.org>  Mon, 11 Jul 2022 14:23:46 -0400

pynauty (1.1.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/use-debian-nauty.patch
    - Refresh patch for new release.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 07 May 2022 21:06:14 -0400

pynauty (1.1.0+ds-1) unstable; urgency=medium

  * New upstream release.

  [ Doug Torrance ]
  * debian/control
    - Update my email address; now a Debian Developer.
  * debian/copyright
    - Bump my copyright years and update my email address.
  * debian/docs
    - Install README.md.
  * debian/gbp.conf
    - Update debian-branch to debian/latest; now recommended by DEP-14.
  * debian/patches/fix-typo.patch
    - Remove patch; applied upstream.
  * debian/rules
    - Drop execute_after_dh_fixperms target; we were dropping the
      executable bit from a test file, but it has a shebang and is
      intended to have the option to be executed directly.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.

 -- Doug Torrance <dtorrance@debian.org>  Fri, 06 May 2022 15:33:21 -0400

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,3 @@
 
 execute_after_dh_auto_clean:
 	$(MAKE) -C docs clean
-
-# fix 'executable-in-usr-lib' lintian warning
-execute_after_dh_fixperms:
-	chmod -x $(INSTALL_DIR)/pynauty/tests/test_minimal.py

## pynauty 2.8.6+ds

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 minimal-test: pynauty
 	PYTHONPATH="${LIBPATH}:$(PYTHONPATH)" $(PYTHON) src/pynauty/tests/test_minimal.py
 
-install: tests
+install:
 ifdef VIRTUAL_ENV
 	$(PIP) install --upgrade .
 else

=== debian/changelog ===
pynauty (2.8.6+ds-2build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 11:19:28 +0000

pynauty (2.8.6+ds-2build1) noble; urgency=medium

  * Rebuild against latest nauty

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 18 Feb 2024 13:20:14 -0500

pynauty (2.8.6+ds-2) unstable; urgency=medium

  * Rebuild against nauty 2.8.8.
  * debian/control
    - Bump Standards-Version to 4.6.2.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 25 Nov 2023 08:23:21 -0500

pynauty (2.8.6+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch
    - Update dversionmangle option to "auto".
    - Switch from GitHub releases to tags page.
    - Update regular expression to match upstream's new tag naming scheme.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 24 Nov 2022 20:29:01 -0500

pynauty (1.1.2+ds-2) unstable; urgency=medium

  * Rebuild against nauty 2.8.6; no change to source.

 -- Doug Torrance <dtorrance@debian.org>  Sun, 20 Nov 2022 16:26:15 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pynauty
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Doug Torrance <dtorrance@piedmont.edu>
+Uploaders: Doug Torrance <dtorrance@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-sequence-python3,
@@ -11,7 +11,7 @@
                python3-pytest,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: python
 Homepage: https://github.com/pdobsan/pynauty
 Vcs-Git: https://salsa.debian.org/python-team/packages/pynauty.git

=== debian/tests/control ===
Test-Command: cd $AUTOPKGTEST_TMP && pytest-3 --pyargs pynauty
Depends: python3-pytest, @

=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+ds \
https://github.com/pdobsan/pynauty/tags \
.*/(?:pynauty|v)@ANY_VERSION@@ARCHIVE_EXT@

## pynauty 2.8.8.1%2Bds

=== debian/changelog ===
pynauty (2.8.8.1+ds-1build5) resolute; urgency=medium

  * No-change rebuild for libnauty-2.9.1.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 12 Dec 2025 10:58:29 +0000

pynauty (2.8.8.1+ds-1build4) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:43:38 +0000

pynauty (2.8.8.1+ds-1build3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 23:00:30 +0000

pynauty (2.8.8.1+ds-1build2) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 09:57:25 +0100

pynauty (2.8.8.1+ds-1build1) plucky; urgency=medium

  * No-change rebuild for libnauty-2.8.9

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 03 Nov 2024 19:31:13 +0000

pynauty (2.8.8.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Bump Standards-Version to 4.7.0.
  * debian/copyright
    - Update copyright years.
  * debian/watch
    - Update regex to match latest tag format.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 06 Jun 2024 13:29:09 -0400

## pynauty 2.8.8.1+ds

=== Makefile ===
--- 
+++ 
@@ -44,6 +44,11 @@
 	@echo Created virtualenv: $(VENV_DIR)/
 	@echo To activate it type: source $(PWD)/$(VENV_DIR)/bin/activate
 
+virtenv-create-global:
+	$(PYTHON) -m venv $(VENV_DIR) --system-site-packages
+	@echo Created virtualenv: $(VENV_DIR)/
+	@echo To activate it type: source $(PWD)/$(VENV_DIR)/bin/activate
+
 virtenv-delete:
 	rm -fr $(VENV_DIR)
 	@echo Deleted virtualenv: $(VENV_DIR)/

=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+ds \
https://github.com/pdobsan/pynauty/tags \
.*/(?:pynauty|v|)@ANY_VERSION@@ARCHIVE_EXT@
